INITDB(UNIX)

NAME
initlocation - create a new Postgres storage area

SYNOPSIS
initlocation directory

initlocation $environment_variable

DESCRIPTION
initlocation creates a new Postgres database storage area. A storage area contains distinct Postgres databases, with each database in a separate directory and managed by a single postmaster.

Creating a database storage area consists of creating the directories in which the database data will live. There are 2 types of arguments for initlocation. First, you can specify an explicit absolute path to the top directory of the storage area. Second, you can specify an environment variable (e.g. $PGDATA2). This environment variable should be known to the backend for later use in create database. In either case Postgres will add /base/ to the specified path to create the storage area.

SEE ALSO
create_database(l), initdb(1).